org.apache.xmlgraphics.image.loader.impl

## Class ImageConverterBuffered2Rendered

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter
  - - org.apache.xmlgraphics.image.loader.impl.ImageConverterBuffered2Rendered

- All Implemented Interfaces:
    ImageConverter

      public class ImageConverterBuffered2Rendered
      extends AbstractImageConverter

  This ImageConverter converts BufferedImages to RenderedImages (well, it's basically just a class cast).

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.image.loader.spi.ImageConverter

      `MEDIUM_CONVERSION_PENALTY, MINIMAL_CONVERSION_PENALTY, NO_CONVERSION_PENALTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageConverterBuffered2Rendered()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Image` | `convert(Image src, java.util.Map<java.lang.String,java.lang.Object> hints)` Converts an image into a different representation.
    `int` | `getConversionPenalty()` Returns the conversion penalty for the conversion that this implementation supports.
    `ImageFlavor` | `getSourceFlavor()` Returns the flavor that this converter expects.
    `ImageFlavor` | `getTargetFlavor()` Returns the flavor that this converter converts images into.

    - ### Methods inherited from class org.apache.xmlgraphics.image.loader.impl.AbstractImageConverter

      `checkSourceFlavor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageConverterBuffered2Rendered

          public ImageConverterBuffered2Rendered()

  - ### Method Detail

    - #### convert

          public Image convert(Image src,
                               java.util.Map<java.lang.String,java.lang.Object> hints)

      Converts an image into a different representation.

      Consumers can get the effective MIME type (if any) from the associated `ImageFlavor`.

      Parameters:
        `src` - the source image
        `hints` - the conversion hints
      Returns:
        the converted image

    - #### getSourceFlavor

          public ImageFlavor getSourceFlavor()

      Returns the flavor that this converter expects.
      Returns:
        the source flavor

    - #### getTargetFlavor

          public ImageFlavor getTargetFlavor()

      Returns the flavor that this converter converts images into.
      Returns:
        the target flavor

    - #### getConversionPenalty

          public int getConversionPenalty()

      Returns the conversion penalty for the conversion that this implementation supports.
      Specified by:
        `getConversionPenalty` in interface `ImageConverter`
      Overrides:
        `getConversionPenalty` in class `AbstractImageConverter`
      Returns:
        the conversion penalty (must be a non-negative integer)

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.